Index: music/models.py
===================================================================
--- music/models.py	(revision 75ea229d549bcf10342f483dbb27e69334411131)
+++ music/models.py	(revision 7e15c72341f9ba2d20acd807d68b2f80812f41ee)
@@ -5,4 +5,5 @@
     artist_id = models.AutoField(primary_key=True)
     name = models.CharField(max_length=120, blank=True, null=True)
+    deleted_at = models.DateTimeField(null=True, blank=True)
 
     def __str__(self):
@@ -17,4 +18,5 @@
     title = models.CharField(max_length=160)
     artist = models.ForeignKey(Artist, on_delete=models.CASCADE, db_column='artist_id')
+    deleted_at = models.DateTimeField(null=True, blank=True)
 
     def __str__(self):
@@ -33,12 +35,5 @@
     birth_date = models.DateTimeField(blank=True, null=True)
     hire_date = models.DateTimeField(blank=True, null=True)
-    address = models.CharField(max_length=70, blank=True, null=True)
-    city = models.CharField(max_length=40, blank=True, null=True)
-    state = models.CharField(max_length=40, blank=True, null=True)
-    country = models.CharField(max_length=40, blank=True, null=True)
-    postal_code = models.CharField(max_length=10, blank=True, null=True)
-    phone = models.CharField(max_length=24, blank=True, null=True)
-    fax = models.CharField(max_length=24, blank=True, null=True)
-    email = models.CharField(max_length=60, blank=True, null=True)
+    deleted_at = models.DateTimeField(null=True, blank=True)
 
     def __str__(self):
@@ -54,13 +49,7 @@
     last_name = models.CharField(max_length=20)
     company = models.CharField(max_length=80, blank=True, null=True)
-    address = models.CharField(max_length=70, blank=True, null=True)
-    city = models.CharField(max_length=40, blank=True, null=True)
-    state = models.CharField(max_length=40, blank=True, null=True)
-    country = models.CharField(max_length=40, blank=True, null=True)
-    postal_code = models.CharField(max_length=10, blank=True, null=True)
-    phone = models.CharField(max_length=24, blank=True, null=True)
-    fax = models.CharField(max_length=24, blank=True, null=True)
-    email = models.CharField(max_length=60)
-    support_rep = models.ForeignKey(Employee, on_delete=models.SET_NULL, blank=True, null=True, db_column='support_rep_id')
+    support_rep = models.ForeignKey(Employee, on_delete=models.SET_NULL, blank=True, null=True,
+                                    db_column='support_rep_id')
+    deleted_at = models.DateTimeField(null=True, blank=True)
 
     def __str__(self):
@@ -74,4 +63,5 @@
     genre_id = models.AutoField(primary_key=True)
     name = models.CharField(max_length=120, blank=True, null=True)
+    deleted_at = models.DateTimeField(null=True, blank=True)
 
     def __str__(self):
@@ -85,4 +75,5 @@
     media_type_id = models.AutoField(primary_key=True)
     name = models.CharField(max_length=120, blank=True, null=True)
+    deleted_at = models.DateTimeField(null=True, blank=True)
 
     def __str__(self):
@@ -102,5 +93,5 @@
     milliseconds = models.IntegerField()
     bytes = models.IntegerField(blank=True, null=True)
-    unit_price = models.DecimalField(max_digits=10, decimal_places=2)
+    deleted_at = models.DateTimeField(null=True, blank=True)
 
     def __str__(self):
@@ -121,4 +112,5 @@
     billing_postal_code = models.CharField(max_length=10, blank=True, null=True)
     total = models.DecimalField(max_digits=10, decimal_places=2)
+    deleted_at = models.DateTimeField(null=True, blank=True)
 
     def __str__(self):
@@ -134,6 +126,6 @@
     invoice = models.ForeignKey(Invoice, on_delete=models.CASCADE, db_column='invoice_id')
     track = models.ForeignKey(Track, on_delete=models.CASCADE, db_column='track_id')
-    unit_price = models.DecimalField(max_digits=10, decimal_places=2)
     quantity = models.IntegerField()
+    deleted_at = models.DateTimeField(null=True, blank=True)
 
     class Meta:
@@ -145,4 +137,5 @@
     playlist_id = models.AutoField(primary_key=True)
     name = models.CharField(max_length=120, blank=True, null=True)
+    deleted_at = models.DateTimeField(null=True, blank=True)
 
     def __str__(self):
@@ -157,4 +150,5 @@
     playlist = models.ForeignKey(Playlist, on_delete=models.CASCADE, db_column='playlist_id')
     track = models.ForeignKey(Track, on_delete=models.CASCADE, db_column='track_id')
+    deleted_at = models.DateTimeField(null=True, blank=True)
 
     class Meta:
@@ -174,4 +168,6 @@
     total_spent = models.DecimalField(max_digits=10, decimal_places=2)
     invoice_count = models.IntegerField()
+    deleted_at = models.DateTimeField(null=True, blank=True)
+
     class Meta:
         db_table = 'deleted_customer_log'
@@ -180,4 +176,5 @@
     def __str__(self):
         return f"{self.first_name} {self.last_name} - Deleted on {self.deleted_at} - Total Spent: ${self.total_spent} from {self.invoice_count} invoices"
+
 
 class Price(models.Model):
@@ -193,2 +190,18 @@
     def __str__(self):
         return f"{self.track_id} - {self.value} - {self.date}"
+
+
+class PersonalInfo(models.Model):
+    customer = models.OneToOneField(Customer, on_delete=models.CASCADE, related_name='personalinfo')
+    address = models.CharField(max_length=255)
+    city = models.CharField(max_length=100)
+    state = models.CharField(max_length=100, blank=True, null=True)
+    country = models.CharField(max_length=100)
+    postal_code = models.CharField(max_length=20, blank=True, null=True)
+    phone = models.CharField(max_length=20, blank=True, null=True)
+
+    class Meta:
+        managed = False
+        db_table = 'personalinfo'
+    def __str__(self):
+        return f"Personal info for {self.customer.first_name} {self.customer.last_name}"
